Skip to main content
POST
/
api
/
restorejobs
Restore Jobs
curl --request POST \
  --url https://api.hellotracks.com/api/restorejobs \
  --header 'API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {}
  ]
}
'
import requests

url = "https://api.hellotracks.com/api/restorejobs"

payload = { "jobs": [{}] }
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{}]})
};

fetch('https://api.hellotracks.com/api/restorejobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


You can restore previously archived jobs via the /restorejobs endpoint.

REQUEST

POST https://api.hellotracks.com/api/restorejobs

{
	data: {
		jobs: [
			"<job_id_1>",
			"<job_id_2>",
			   ...
			"<job_id_n>"
		]
	}
}
jobs
array
required
An array of job IDs to restore from archived status. Restored jobs will be returned to active status and visible in normal job lists.
If successful, you’ll get status:0 and the restored job objects in the response.

RESPONSE

{
	status: 0,
	jobs: [
		{ <job_1> },
		{ <job_2> }
	]
}